
<div class="admin-col-title">
  <% if step %>
    <% if step.pos != 0 %>
      <%= best_in_place step, :name, :as => :input,
                        ok_button: "&#x2714;".html_safe,
                        cancel_button: "&#x2718;".html_safe,
                        display_with: lambda { |val| best_in_place_display(val).html_safe },
                        place_holder: 'Enter step name',
                        html_attrs: { class: 'bip-input' },
                        class: 'bip-span'
      %>
      <%#= step.name + "[BIP A CORRIGER]" %>
    <% else %>
      <%= step.name %>
    <% end %>
  <% else %>
    No Step
  <% end %>
</div>
<div class="admin-col-content">
  <table style='width: 100%'>
    <% step&.step_tools&.order(:pos)&.each do |step_tool| %>
      <tr>
        <td>
          <%= step_tool_show_name(step_tool) %>
          <%= step_tool_edit_custom_field(step_tool) %>
          <%= step_tool_edit_ishikawa(step_tool) %>
        </td>
        <td style='width: 25px;'>
          <%= link_to fa_icon_arrow_down('icon-right'), meth_step_tool_up_path(id: step, step_tool: step_tool), method: :patch if step_tool.pos < step.step_tools.count && policy(step_tool).update? %>
        </td>
        <td style='width: 25px;'>
          <%= link_to fa_icon_arrow_up('icon-right'), meth_step_tool_down_path(id: step, step_tool: step_tool), method: :patch if step_tool.pos > 1 && policy(step_tool).update? %>
        </td>
        <td style='width: 25px;'>
          <%= link_to fa_icon_delete('icon-right'), meth_step_del_tool_path(id: step, step_tool: step_tool), method: :delete, data: { confirm: t('confirm.sure') } if policy(step_tool).destroy? %>
        </td>
      </tr>
    <% end %>
  </table>
</div>
